Bug 103042 - Order of network interface shutdown should be reversed
Order of network interface shutdown should be reversed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-08-25 15:48 EDT by Mario Lorenz
Modified: 2014-03-16 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.31-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 23:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Lorenz 2003-08-25 15:48:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Running etc/init.d/network stop should stop the network interfaces
in the reverse order than they were brought up. Namely,
PPPoE Interfaces should be shut down first, before the underlying
Ethernet interface is shut down. Otherwise, the remote end will deem
the link open and take a while to time it out, which is annoying if you just
wanted to reboot, and afterwards the pppoe doesnt come up.


Version-Release number of selected component (if applicable):
initscripts-7.14-1

How reproducible:
Always

Steps to Reproduce:
1. /etc/rc.d/init.d/network start   (during bootup)
2. /etc/rc.d/intt.d/network stop    (manually or during shutdown)
3.
    

Actual Results:  interfaces are brought up in order:
eth0 eth1 ppp0
and are being shut down in order
eth0 eth1 ppp0

Expected Results:  interfaces should be brought up in order
eth0 eth1 ppp0
and be shut down as in
ppp0 eth1 eth0
(so that the pppoe session can be properly terminated)


Additional info:
Comment 1 Bill Nottingham 2003-09-03 23:23:33 EDT
Fixed in 7.31-1, somewhat. The order isn't completely reversed, but xDSL
interfaces are brought up after other interfaces, and brought down before other
interfaces.

Note You need to log in before you can comment on or make changes to this bug.